%global pkgname cliapp

Name:           python-%{pkgname}
Version:        1.20160724
Release:        8%{?dist}
Summary:        Python framework for Unix command line programs

License:        GPLv2+
URL:            http://liw.fi/%{pkgname}/
Source0:        http://code.liw.fi/debian/pool/main/p/%{name}/%{name}_%{version}.orig.tar.xz

BuildArch:      noarch

%global _description\
cliapp is a Python framework for Unix-like command line programs. It\
contains the typical stuff such programs need to do, such as parsing\
the command line for options, and iterating over input files.\

%description %_description

%package -n python2-%{pkgname}
Summary:        %summary
BuildRequires:  python2-devel
BuildRequires:  python2-pyyaml
BuildRequires:  python2-coverage-test-runner
BuildRequires:  python2-pep8
Requires:       python2-pyyaml
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname} %_description

%package        doc
Summary:        Documentation for %{pkgname}
BuildRequires:  python2-sphinx

%description    doc
This package contains the documentation for %{pkgname}, a Python
framework for Unix command line programs.

%prep
%autosetup -p1

%build
%py2_build
# Build documentation
make

%install
%py2_install

%check
# CoverageTestRunner trips up on build directory;
# since we've already done the install phase, remove it first
rm -rf build
make check

%files -n python2-%{pkgname}
%doc NEWS README
%license COPYING
%{_mandir}/man5/cliapp.5*
%{python2_sitelib}/%{pkgname}
%{python2_sitelib}/%{pkgname}-*.egg-info

%files doc
%doc doc/_build/html/*

%changelog
* Sun Feb 11 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.20160724-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.20160724-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Aug 25 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.20160724-6
- Reference more packages with python2 prefix

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.20160724-5
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.20160724-4
- Python 2 binary package renamed to python2-cliapp
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.20160724-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.20160724-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan  9 2017 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.20160724-1
- Update to 1.20160724

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20160316-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun  6 2016 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.20160316-1
- Update to 1.20160316

* Sun Feb 14 2016 Michel Salim <salimma@fedoraproject.org> - 1.20160109-1
- Update to 1.20160109

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.20150829-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep  3 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.20150829-1
- Update to 1.20150829

* Sun Jul 19 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.20150701-2
- Adjust for python-coverage-4.0a6 no longer generating .coverage file

* Sun Jul 19 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.20150701-1
- Update to 1.20150701

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20140719-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec  2 2014 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.20140719-1
- Update to 1.20140719

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20130808-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 27 2013 Michel Salim <salimma@fedoraproject.org> - 1.20130808-1
- Update to 1.20130808

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20130613-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 14 2013 Michel Salim <salimma@fedoraproject.org> - 1.20130613-1
- Update to 1.20130613

* Tue Apr 30 2013 Michel Salim <salimma@fedoraproject.org> - 1.20130424-1
- Update to 1.20130424

* Fri Mar 15 2013 Michel Salim <salimma@fedoraproject.org> - 1.20130313-1
- Update to 1.20130313

* Mon Feb 25 2013 Michel Salim <salimma@fedoraproject.org> - 1.20121216-1
- Update to 1.20121216

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20120630-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20120630-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul  3 2012 Michel Salim <salimma@fedoraproject.org> - 1.20120630-1
- Update to 1.20120630

* Tue Jun  5 2012 Michel Salim <salimma@fedoraproject.org> - 0.29-2
- Remove unneeded %%{python_sitelib} declaration
- Make file listing more specific
- Remove build directory before running coverage test

* Sun Jun  3 2012 Michel Salim <salimma@fedoraproject.org> - 0.29-1
- Initial package
